メインコンテンツへスキップ
PATCH
/
monitor
/
{monitorId}
モニターを更新
curl --request PATCH \
  --url https://api.firecrawl.dev/v2/monitor/{monitorId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "schedule": {
    "text": "every 15 minutes starting at :07"
  },
  "status": "active"
}
'
{
  "data": {
    "createdAt": "2023-11-07T05:31:56Z",
    "currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "estimatedCreditsPerMonth": 123,
    "goal": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "judgeEnabled": true,
    "lastCheckSummary": {
      "changed": 123,
      "error": 123,
      "new": 123,
      "removed": 123,
      "same": 123,
      "totalPages": 123
    },
    "lastRunAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "nextRunAt": "2023-11-07T05:31:56Z",
    "notification": {
      "email": {
        "enabled": false,
        "includeDiffs": false,
        "recipients": [
          "jsmith@example.com"
        ]
      }
    },
    "retentionDays": 123,
    "schedule": {
      "cron": "<string>",
      "timezone": "<string>"
    },
    "targets": [
      {
        "urls": [
          "<string>"
        ],
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "scrapeOptions": {
          "actions": [
            {
              "milliseconds": 2
            }
          ],
          "blockAds": true,
          "excludeTags": [
            "<string>"
          ],
          "formats": [
            "markdown"
          ],
          "headers": {},
          "includeTags": [
            "<string>"
          ],
          "location": {
            "country": "US",
            "languages": [
              "en-US"
            ]
          },
          "lockdown": false,
          "maxAge": 172800000,
          "minAge": 123,
          "mobile": false,
          "onlyCleanContent": false,
          "onlyMainContent": true,
          "parsers": [
            "pdf"
          ],
          "profile": {
            "name": "<string>",
            "saveChanges": true
          },
          "proxy": "auto",
          "removeBase64Images": true,
          "skipTlsVerification": true,
          "storeInCache": true,
          "timeout": 60000,
          "waitFor": 0
        }
      }
    ],
    "updatedAt": "2023-11-07T05:31:56Z",
    "webhook": {
      "url": "<string>",
      "events": [],
      "headers": {},
      "metadata": {}
    }
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

monitorId
string<uuid>
必須

モニターID

ボディ

application/json

部分的なモニター更新ペイロード。少なくとも 1 つのフィールドを含めてください。

goal
string | null

変更されたページに意味があるかどうかを判定するための自然文の目標。指定され、かつ judgeEnabled が省略されている場合は、判定が自動的に有効になります。

Maximum string length: 2000
judgeEnabled
boolean

変更されたページを goal に照らして判定するかどうか。実行には空でない goal が必要です。

name
string
Maximum string length: 256
notification
object
retentionDays
integer
必須範囲: 1 <= x <= 365
schedule
object

モニターチェックのスケジュール。cron または text のいずれかを指定してください。

status
enum<string>
利用可能なオプション:
active,
paused
targets
(Scrape target · object | Crawl target · object)[]
Required array length: 1 - 50 elements
webhook
object

モニター ページおよびチェック完了イベント用の webhook の送信先。

レスポンス

モニターを更新しました

data
object
success
boolean